Subject: Re: git-ls-new-files & make patch, pull, etc.

From: Jeff Carr <[email-masked]>
Date: Tue, 06 Sep 2005 12:06:17 -0700

On 08/22/2005 11:48 PM, Johannes Schindelin wrote:
> 
>>patch:
> 
> "git diff"
> 
> 
>>push:
> 
> "git push origin" (or maybe "git push HEAD:origin")
> 
> 
>>pull:
> 
> "git pull origin"
> 
> 
>>commit:
>>	vi changelog.txt
>>	GIT_AUTHOR_NAME="$(GIT_AUTHOR_NAME)" \
>>	GIT_AUTHOR_EMAIL="$(GIT_AUTHOR_EMAIL)" \
>>	git-commit-tree `git-write-tree` -p $(HEAD) < changelog.txt > .git/HEAD
>>	rm changelog.txt
> 
> 
> "git commit"

Well, I did that by hand so at the end I could have it append the
changes to a changelog file in the archive itself.

>>add_all:
>>	./git-ls-new-files |xargs -n 1 git-update-cache --add
> 
> 
> "git add $(git ls-files --others)"

I was using the version of git that was in debian sarge; it was too old
and didn't do the commands. I've updated and everything is working now.

Thanks for the help!
Jeff